/*!********************************************************************
 * The Initial Developer of the content of this file is NETCONOMY.
 * All portions of the code written by NETCONOMY are property of
 * NETCONOMY. All Rights Reserved.
 *
 * NETCONOMY Software & Consulting GmbH
 * Hilmgasse 4, A-8010 Graz (Austria)
 * FN 204360 f, Landesgericht fuer ZRS Graz
 * Tel: +43 (316) 815 544
 * Fax: +43 (316) 815544-99
 * www.netconomy.net
 *
 * (c) 2024 by NETCONOMY Software & Consulting GmbH
 ********************************************************************/

@use 'shop/resources/scss/base/constants/colors';
@use 'shop/resources/scss/base/mixins/typography';

.root {
    display: flex;
    flex-direction: column;
    gap: 10px;

    &[data-orientation='horizontal'] {
        flex-direction: row;
    }
}

.item {
    width: 25px;
    height: 25px;
    border-radius: 100%;
    border: solid 1px colors.$color-black;

    &:hover {
        background-color: colors.$color-primary;
    }

    &:focus {
        border-color: colors.$color-primary;
    }
}

.indicator {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 100%;
    position: relative;

    &::after {
        content: '';
        display: block;
        width: 11px;
        height: 11px;
        border-radius: 50%;
        background-color: colors.$color-black;
    }
}

.label {
    padding-left: 15px;
}
